Bug 99370 - Laptop screen unreadable after powersave standby
Laptop screen unreadable after powersave standby
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-07-18 02:53 EDT by tony.ransom
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-01 01:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
startup log (5.35 KB, text/plain)
2003-07-22 23:28 EDT, tony.ransom
no flags Details
output of lsmod command (751 bytes, text/plain)
2003-07-23 02:21 EDT, tony.ransom
no flags Details
var/log/messages file (102.87 KB, text/plain)
2003-07-23 02:36 EDT, tony.ransom
no flags Details

  None (edit)
Description tony.ransom 2003-07-18 02:53:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.0.2) Gecko/20030208

Description of problem:
Our company has recently purchased two Dell Latitude C640 laptops. (model PP01L)

The laptops use an ATI Radion Mobility 7500 display adaptor. (32mb)

They have RH9 installed and are up2date. (Dual boot Win XP)

When these units go to powersave, the screen is unreadable when they wake up. It
happens on both units, so is not a hardware problem. I can't induce the fault
when they are operating on Win XP, which points to a Linux X-server problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run laptop on battery
2. After it goes into powersave, restart
3. Display unreadable (tearing)

Actual Results:  Unreadable display. Resetting X (ctrl-alt-backspace) doesnt help.

Have to reboot the machine. The keyboard still works.

Expected Results:  Should have a readable display.

Additional info:

Nothing I can think of.
Comment 2 Mike Chambers 2003-07-18 08:40:45 EDT
Might be a good idea to check your BIOS vendor's web site to see if there are
any BIOS updates/issues that they may know of already and maybe even fixed them
already.  And I know there are some Dell folks out there are some linux mailing
lists, might even contact Dell themselves to see to make sure there are no BIOS
bugs they know of that exists on those machines.

This is not to get Mike out of trying to say it isn't an X bug or anything like
that, just covering all bases *just in case* type of thing.
Comment 3 Karsten Hopp 2003-07-21 07:04:21 EDT
Does it help when you remove the comment sign from the  
line in /etc/sysconfig/apmd  ? 
Comment 4 tony.ransom 2003-07-22 23:28:27 EDT
Created attachment 93070 [details]
startup log

Startup log
Comment 5 tony.ransom 2003-07-23 02:21:03 EDT
Created attachment 93072 [details]
output of lsmod command

As requested
Comment 6 tony.ransom 2003-07-23 02:36:38 EDT
Created attachment 93073 [details]
var/log/messages file
Comment 7 Peter van Egdom 2003-07-26 10:01:02 EDT
I experienced a similar problem with a Red Hat Linux 9 installation on a Dell
Latitude C840 at work. During installation of Red Hat Linux 9 - at the point
where it asked for CD-2 - the laptop went into power safe mode (we had it
install Red Hat Linux 9 and walked away). Upon returning and waking up the
laptop to enter CD-2, the screen was only 'half-visible', which made finishing
the installation rather difficult. We did manage it, though.
Comment 8 Mike A. Harris 2004-10-01 01:48:23 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.